docs

# SendVideoNoteData

data class SendVideoNoteData : DataRequest < ContentMessage < VideoNoteContent >> , SendMessageRequest < ContentMessage < VideoNoteContent >> , ReplyingMarkupSendMessageRequest < ContentMessage < VideoNoteContent >> , ThumbedSendMessageRequest < ContentMessage < VideoNoteContent >> , DuratedSendMessageRequest < ContentMessage < VideoNoteContent >> , SizedSendMessageRequest < ContentMessage < VideoNoteContent >>
Content copied to clipboard

## Functions

method
Link copied to clipboard
open override fun method (): String
Content copied to clipboard

## Properties

allowSendingWithoutReply
Link copied to clipboard
open override val allowSendingWithoutReply : Boolean ? = null
Content copied to clipboard
chatId
Link copied to clipboard
open override val chatId : ChatIdentifier
Content copied to clipboard
disableNotification
Link copied to clipboard
open override val disableNotification : Boolean = false
Content copied to clipboard
duration
Link copied to clipboard
open override val duration : Long ? = null
Content copied to clipboard

Duration of media, usually in seconds

height
Link copied to clipboard
open override val height : Int ?
Content copied to clipboard
protectContent
Link copied to clipboard
open override val protectContent : Boolean = false
Content copied to clipboard
replyMarkup
Link copied to clipboard
open override val replyMarkup : KeyboardMarkup ? = null
Content copied to clipboard
replyToMessageId
Link copied to clipboard
open override val replyToMessageId : MessageIdentifier ? = null
Content copied to clipboard
requestSerializer
Link copied to clipboard
open override val requestSerializer : SerializationStrategy<*>
Content copied to clipboard
resultDeserializer
Link copied to clipboard
open override val resultDeserializer : DeserializationStrategy< ContentMessage < VideoNoteContent >>
Content copied to clipboard
thumb
Link copied to clipboard
open override val thumb : String ? = null
Content copied to clipboard
videoNote
Link copied to clipboard
val videoNote : String ? = null
Content copied to clipboard
width
Link copied to clipboard
open override val width : Int ? = null
Content copied to clipboard